Namespace
library
Image / Tag
consul:1.7.11
Content Digest
sha256:d3489079ba913bbe7d3cc4686b73c787f0a8de361eeea1fca4de34ce5260216c
Details
Created

2020-12-17 01:24:55 UTC

Size

40 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.11

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:455793c72b878001f0905634ed52a2524ba51796e7377bf00683a85123f7dce9 - 6.67% (2.66 MB)

[#001] sha256:57825a694bf08e12d5521cfca8938ad16cfe3ff39f1b8a75076668d8a4b4f1c0 - 0.0% (1.2 KB)

[#002] sha256:642fb04c0d71504c45d4d985f29b19de8d52633d37982023d8b5f2cc5f9e7afd - 93.32% (37.3 MB)

[#003] sha256:a5b30c7ca46875a57e80bafb10176257128b44945cb7a61f7ecada53a2a8ebce - 0.0% (143 Bytes)

[#004] sha256:86cfd06565bf9a9ac539063c6e1e8f184230c97ff6b7d133137aa235b2d70184 - 0.0% (154 Bytes)

[#005] sha256:08d9b39a7efd70694948768d2db1745c73205ad3cc9d87db3d235f5a3f557fbd - 0.0% (1.67 KB)


History
2020-12-17 00:38:32 UTC

/bin/sh -c #(nop) ADD file:de33fda50a142403e842620d20bc4404e66fc4ace16edc6946c4539e8a797458 in /

2020-12-17 00:38:32 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-17 01:24:05 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-12-17 01:24:41 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.11

2020-12-17 01:24:41 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-12-17 01:24:42 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-12-17 01:24:49 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-12-17 01:24:51 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-12-17 01:24:52 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-12-17 01:24:52 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-12-17 01:24:53 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-12-17 01:24:53 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-12-17 01:24:54 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-12-17 01:24:54 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-12-17 01:24:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-12-17 01:24:55 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-12-17 13:02:22 UTC

Size

41.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.11

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:801bfaa63ef2094d770c809815b9e2b9c1194728e5e754ef7bc764030e140cea - 6.49% (2.67 MB)

[#001] sha256:38622a0158719d6de8ffcc5817f82c0b4f7512e9b99cebcff830a70e388d4caa - 0.0% (1.2 KB)

[#002] sha256:6d97316584422042e1243f7009b90eb44c42e2c316fe948b06903fa9f544f3cf - 93.5% (38.4 MB)

[#003] sha256:9f0f00a35b11d6923f895b64293804b63ef10c0d5a61bc77bc98bedce028fd67 - 0.0% (143 Bytes)

[#004] sha256:4d2b7ef38504511feeac67554f6ebc6cdde14a07809ec6f80270a572a8d9a108 - 0.0% (154 Bytes)

[#005] sha256:92c86827a282a46c1b1cb3b4391ee29451d27f5646e11e0b895eb9744c559902 - 0.0% (1.67 KB)


History
2020-12-17 00:19:41 UTC

/bin/sh -c #(nop) ADD file:ec475c2abb2d46435286b5ae5efacf5b50b1a9e3b6293b69db3c0172b5b9658b in /

2020-12-17 00:19:42 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-17 13:01:24 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-12-17 13:02:09 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.11

2020-12-17 13:02:09 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-12-17 13:02:11 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-12-17 13:02:17 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-12-17 13:02:18 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-12-17 13:02:19 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-12-17 13:02:20 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-12-17 13:02:20 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-12-17 13:02:20 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-12-17 13:02:20 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-12-17 13:02:21 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-12-17 13:02:21 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-12-17 13:02:22 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-12-17 01:17:32 UTC

Size

37 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.11

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:93247449aef3c56eb4f7ab7b3fed95743c974b823def6dd86ec84008126e7903 - 6.71% (2.48 MB)

[#001] sha256:0c30331eb99cb51ffca2aa2a8fd8ad621e84f12d2e969783c199c85ff10aa68b - 0.0% (1.23 KB)

[#002] sha256:b6e62223d40a09a1032e5fe51ba2724bdc81997490dfd79db59bc4c0948ce78a - 93.28% (34.5 MB)

[#003] sha256:06ce345d054b03b6e3d4a30a186e784c4ad13c66b1253262d636103ede912e71 - 0.0% (176 Bytes)

[#004] sha256:851ad82f5b67d1aef02fa57123d93e105d6d774f0c9fe5b9a53e315b9d1f71df - 0.0% (154 Bytes)

[#005] sha256:751bd51851908004a062198c6d551fc029e85c561e587b9224a3e1af15873dd7 - 0.0% (1.67 KB)


History
2020-12-16 23:49:43 UTC

/bin/sh -c #(nop) ADD file:0a16715e2d0e5811c3c578945d618db0e269847a799340248f9ba8d393c9eec2 in /

2020-12-16 23:49:45 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-17 01:15:28 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-12-17 01:17:00 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.11

2020-12-17 01:17:01 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-12-17 01:17:04 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-12-17 01:17:13 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-12-17 01:17:19 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-12-17 01:17:22 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-12-17 01:17:23 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-12-17 01:17:24 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-12-17 01:17:26 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-12-17 01:17:27 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-12-17 01:17:28 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-12-17 01:17:30 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-12-17 01:17:32 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-12-17 00:38:08 UTC

Size

37.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.11

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:159e5727ea618dfe8b08811112e2c51f5bd2b9ae7db9eb214914a65249f70ca0 - 6.94% (2.58 MB)

[#001] sha256:867f35d7fa00f4c32ce6fe2ae77b396e64d1e8e33c511ad06fdc6be931a55749 - 0.0% (1.23 KB)

[#002] sha256:48b56e3302ccabc9a53f441a5179a1a1578f34a3e6a869b5c37d2525b5d5a7d7 - 93.05% (34.6 MB)

[#003] sha256:ce4697c1fe65af51b748a8a21de7deb99ccfadfed3b184f8efbc385f4feb383f - 0.0% (176 Bytes)

[#004] sha256:3063fc22520d9966309e9ba656492a1b19678e707b769e6595f5dc27bf539b68 - 0.0% (154 Bytes)

[#005] sha256:0e8304d79d0e0c256f2bd5ba4a9ab441cf1671ff75317e28b530fe28c5c65540 - 0.0% (1.66 KB)


History
2020-12-16 23:40:26 UTC

/bin/sh -c #(nop) ADD file:a4845c3840a3fd0e41e4635a179cce20c81afc6c02e34e3fd5bd2d535698918b in /

2020-12-16 23:40:29 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-17 00:36:45 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-12-17 00:37:46 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.11

2020-12-17 00:37:46 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-12-17 00:37:49 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-12-17 00:37:59 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-12-17 00:38:02 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-12-17 00:38:04 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-12-17 00:38:04 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-12-17 00:38:05 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-12-17 00:38:06 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-12-17 00:38:06 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-12-17 00:38:07 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-12-17 00:38:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-12-17 00:38:08 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]